org.apache.hadoop.yarn.api.protocolrecords

## Class GetAllResourceProfilesRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetAllResourceProfilesRequest
      extends Object

  Request class for getting all the resource profiles from the RM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAllResourceProfilesRequest()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetAllResourceProfilesRequest` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAllResourceProfilesRequest

          public GetAllResourceProfilesRequest()

  - ### Method Detail

    - #### newInstance

          public static GetAllResourceProfilesRequest newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.